#include "tools/mlir-tblgen-builder/Builder/Builder.h"

int main() {
  builder::Builder builder;

  builder::Shape shape({10, 10});
  auto pType = builder::PrimitiveType::F32();
  builder::Type type(shape, pType);

  std::vector<float> data(100);
  builder::Tensor tensor(shape, data);

  auto in1 = builder.CreateInput(type);
  auto op1 = builder::mhlo::ConstOp::build(builder, type, tensor);
  auto op2 = builder::mhlo::ConstOp::build(builder, type, tensor);
  auto op3 = builder::mhlo::AddOp::build(builder, type, op1, op2);
  auto op4 = builder::mhlo::MulOp::build(builder, type, op3, in1);

  builder.SetOutput(std::vector<builder::Op>({op4}));
  builder.DumpModule();
  return 0;
}
